
Infrastructure - Feature #6499

define and implement addFormat() method

2014-10-02 20:13 - Rob Nahf

Status: New Start date: 2011-06-15

Priority: Normal Due date:  

Assignee: Rob Nahf % Done: 0%

Category: Architecture Design Estimated time: 0.00 hour

Target version: CCI-2.4.0   

Milestone: None Story Points:  

Product Version: *   

Description

target for the V2 api.

The method would programmatically add a new ObjectFormat and ObjectFormatIdentifier to the ObjectFormatList

could be implemented as a POST to the existing cn/v1/format API endpoint

Subtasks:

Task # 1647: Update d1_common_java ObjectFormatServiceImpl to include addFormat() New

Task # 1648: Update d1_libclient_java ObjectFormatCache to include addFormat() New

Task # 1646: Add addFormat() to the CNCore API New

Task # 1649: Update Metacat's CNCoreImpl to include addFormat() New

Task # 1650: Update d1_cn_service ProxyCNCoreService and CNCoreController to include ad... New

Task # 1651: Update Metacat ResourceHandler to field the PUT call on /formats/fmtid New

History

#1 - 2014-10-02 20:13 - Rob Nahf

- Category changed from Documentation to Architecture Design

#2 - 2014-10-02 21:22 - Rob Nahf

- Target version set to CCI-2.0.0

#3 - 2014-10-02 21:25 - Rob Nahf

- Parent task set to #1644

- Due date deleted (2014-10-02)

- Target version deleted (CCI-2.0.0)

- Start date deleted (2011-06-15)

#4 - 2014-10-02 21:26 - Rob Nahf

- Target version deleted (CCI-2.0.0)

#5 - 2014-10-02 21:27 - Rob Nahf

- Estimated time set to 0.00

- Parent task deleted (#1644)

#6 - 2014-10-02 21:27 - Rob Nahf

- Tracker changed from Task to Feature

#7 - 2014-10-02 21:27 - Rob Nahf

- Due date set to 2014-12-01
- Target version set to CCI-2.0.0

- Start date set to 2014-12-01

#8 - 2015-01-06 18:50 - Dave Vieglais

- Due date changed from 2014-10-07 to 2015-01-06

- Assignee set to Rob Nahf

#9 - 2015-06-01 14:29 - Dave Vieglais

- Target version changed from CCI-2.0.0 to CCI-2.1.0

#10 - 2016-02-09 18:40 - Dave Vieglais

- Target version changed from CCI-2.1.0 to CCI-2.2.0

#11 - 2016-03-25 21:23 - Dave Vieglais

- Target version changed from CCI-2.2.0 to CCI-2.3.0

#12 - 2016-06-22 16:51 - Dave Vieglais

- Target version changed from CCI-2.3.0 to CCI-2.4.0
